/* -*-C-*- xtime.h */
/**********************************************************************/
/******************************* xtime ********************************/
/**********************************************************************/

/* $Id: xtime.h,v 1.6 1992/10/08 01:42:01 beebe Exp beebe $ */

#ifndef XTIME_H_DEFINED_
#define XTIME_H_DEFINED_

/***********************************************************************
This file includes the system time.h file, which does not have a
standard location.  Some older implementations also have a times.h
which we include.  However, Standard C does not have times.h.

Together, they provide declarations of symbols, data types, and
function prototypes needed for calendar and process time support.
***********************************************************************/

#ifndef OS_H_DEFINED_
#include "os.h"
#endif /* OS_H_DEFINED_ */

#include "xtypes.h"

#if    sun			/* then Sun Microsystems UNIX */
#include <sys/time.h>		/* cannot use time.h because we get */
				/* conflicts with later inclusion by */
				/* <sunwindows/xxx>, sigh...  I sent a */
				/* bug report about this to Sun [26-Nov-1988] */
time_t		time ARGS((time_t *t_));
#else  /* NOT sun */
#include <time.h>
#endif /* sun */

#if !STDC
#if HAVE_SYS_DIR
#include <sys/times.h>
#else /* NOT HAVE_SYS_DIR */
#include <times.h>
#endif /* HAVE_SYS_DIR */
#endif /* !STDC */

#if !__cplusplus
#if mips || sun
clock_t		clock ARGS((void));
#endif /* mips || sun */

#if !HAVE_STRFTIME_DCL
size_t		strftime ARGS((char *s_, size_t maxsize_,
		    const char *format_, const struct tm *timeptr));
#endif /* !HAVE_STRFTIME_DCL */

#if HAVE_TZNAME
#if !HAVE_TZNAME_DCL
extern char	*tzname[2];
extern int	daylight;
#endif /* !HAVE_TZNAME_DCL */
#endif /* HAVE_TZNAME */

#if mips
time_t		time ARGS((time_t *t_));
#endif /* mips */
#endif /* !__cplusplus */

#ifndef CLOCKS_PER_SEC
#ifdef CLK_TCK
#define CLOCKS_PER_SEC CLK_TCK		/* some MS DOS compilers use CLK_TCK */
#endif /* CLK_TCK */
#endif /* CLOCKS_PER_SEC */

#ifndef CLOCKS_PER_SEC
#define CLOCKS_PER_SEC 1000000L		/* most older systems return microsec */
#endif /* CLOCKS_PER_SEC */

#endif /* XTIME_H_DEFINED_ */
